Bug 110814 - sysstat error: Cannot append data to that file
sysstat error: Cannot append data to that file
Product: Fedora
Classification: Fedora
Component: sysstat (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Charlie Bennett
Depends On:
  Show dependency treegraph
Reported: 2003-11-24 11:49 EST by Bernd Bartmann
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-22 18:28:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bernd Bartmann 2003-11-24 11:49:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
Since changing my CPU from PIV 2.53 GHz w/o HT to PIV 3.0 GHz w/ HT my
system sends out a message from the sysstat cronjob every 10 minutes:

Cannot append data to that file

The file /var/log/sa/sa24 exists an is writable by root:
-rw-r--r--    1 root     root         2501 24. Nov 17:10 sa24

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run a system with an PIV HT cpu
2. wait for sysstat cronjob messages

Additional info:
Comment 1 Bernd Bartmann 2003-11-25 10:15:17 EST
Hmm, strange today I don't get any messages from sysstat anymore.
Comment 2 Gene Czarcinski 2003-12-04 09:08:20 EST
Yes, but I am getting them on a Athlon MP new everything install.
Comment 3 Gene Czarcinski 2004-03-07 10:54:35 EST
The messages were gone for a while and now they are back.  Once stated
for a day they will continue to midnight when the switch to a new day
starts using a new file.
Comment 4 Roland Friedwagner 2004-06-03 11:17:47 EDT
Getting same message:
strace /usr/lib/sa/sa1 1 1 output ...
open("/proc/stat", O_RDONLY)            = 3
fstat64(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
0) = 0xbf590000
read(3, "cpu  14870 1 12783 2507170\ncpu0 "..., 4096) = 688
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0xbf590000, 4096)                = 0
access("/var/log/sa/sa03", F_OK)        = 0
open("/var/log/sa/sa03", O_RDWR|O_APPEND) = 3
read(3, "\377\302\37\0]!\10\1\0\0\0\0\17\0\0\0\230\357\276@\0\0"...,
229) = 229
write(2, "Cannot append data to that file\n", 32Cannot append data to
that file
) = 32
exit_group(1)                           = ?
Comment 5 Victor Ashik 2004-09-09 03:52:23 EDT
From sysstat FAQ:

Cannot append data to that file

A> The internal structure of the data file does not allow sar to append
data to it. The data file may come from another machine, or the components
of the current box, such as the number of processors, may have changed.
Use another data file, or delete current daily data file, and try again.

Somebody can meet this situation when system with multiple processors
has been booted with single processor kernel and smp kernel in the
same day.

Another problem is that FAQ is not included in
/usr/share/doc/sysstat-%{version} and can only be found in src.rpm

Note You need to log in before you can comment on or make changes to this bug.